Last Comment Bug 248560 - No error message and no file saved when save path is long enough
: No error message and no file saved when save path is long enough
Status: NEW
:
Product: Firefox
Classification: Client Software
Component: File Handling (show other bugs)
: Trunk
: x86 Windows XP
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 248561
  Show dependency treegraph
 
Reported: 2004-06-24 16:07 PDT by Marco Iannaccone
Modified: 2013-01-27 06:56 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Test Case, Animated gif step by step (167.80 KB, image/gif)
2005-03-07 11:54 PST, Closed Account
no flags Details

Description Marco Iannaccone 2004-06-24 16:07:50 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040614 Firefox/0.9
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040614 Firefox/0.9

I'm using Mozilla Firefox 0.9 (but this happened with version 0.8, too (I didn't
check with previous ones), under Windows XP SP1, with NTFS filesystem, and found
this problem:
when I try to save a web page on a place on my hard disk, when the combination
of path and chosen filename is too long (when it goes beyond the limit allowed
by the OS, I think), Firefox doesn't give any error or warning, and it seems the
page was saved, but the page isn't actually saved. Choosing a shorter filename
allows me to save, but... well, I think Firefox should emit an error in these
cases (as when not valid character are used with filenames (as ':' for example).

I dind't try under Linux of Mac OS X.

PS. Ths same problem happens with Mozilla Thunderbird.
PPS. This is where I talked about the problem in the forums:
http://forums.mozillazine.org/viewtopic.php?t=89433

Reproducible: Always
Steps to Reproduce:
1. I open any web page
2. I choose to save it on my HD
3. I choose a very long combination of path and filename

Actual Results:  
The programs behaves as it saved the page, but it actually didn't (and didn't
give any errors or warnings).

Expected Results:  
The software should have done one of the following:
1) actually saving the page to my hard disk
2) repert the chosen path/filename is too long

I wasn't using ANy theme or extension.

I didn't try, but I think at this point the problem could interest even the
download manager.
Comment 1 Peter van der Woude [:Peter6] 2004-10-19 10:42:29 PDT
can you come with an example.
w/o case there's no way to get this confirmed
Comment 2 Marco Iannaccone 2004-10-21 15:25:49 PDT
(In reply to comment #1)
> can you come with an example.
> w/o case there's no way to get this confirmed

Well... that's one example:
1) I one a web page (its not important the address, this problem doesn't depend
on the web page being saved), l'et's say www.mozilla.org.
2) I choose File->Save Page As...
3) I decide to save it to "C:\Documents and Settings\FeliceMente\Desktop\nuova
cartella con nome lungo\nome lungo per allungare il path\continuiamo ancora con
un nome molto molto lungo".

I get no error, and ontly the folder with images, etc... is actually saved, not
the HTML file itself.

Let's go on:
4) I now decide to save it the same page to "C:\Documents and
Settings\FeliceMente\Desktop\nuova cartella con nome lungo\nome lungo per
allungare il path\continuiamo ancora con un nome molto molto lungo\nuova ancora".

No error is given, but this time NOTHING was actually saved to the path I specified.

Let'ìs go one:
5) I now try to save the same page, and to previous directory is selected. I now
choose to create a new subdir, and so the final path becomes "C:\Documents and
Settings\FeliceMente\Desktop\nuova cartella con nome lungo\nome lungo per
allungare il path\continuiamo ancora con un nome molto molto lungo\nuova
ancora\nuova cartella con nome davvero molto lungo e esageratamente lungo".
6) If I now choose to create a new subdir, I get an error telling me I can't
create it.
7) If I try to save the page, I finally have an error telling me I can, because
the filename isn't valid.

Ask me more explanations if needed.
Anyway, I created this example "on the fly". You'll always get these result with
similare cases.

NB. Thunderbird has similar problems when trying to save mails, at leas, like
this, under Windows XP with NTFS FS.


Comment 3 Peter van der Woude [:Peter6] 2004-10-21 15:50:25 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.3) Gecko/20041021 Firefox/1.0

I copied all directory names/path as in your example.
No problem at all to save page or save image there.

You use an antique build (20040614) though.
Updating to FF1.0PR/FF1.0RC1 may help 
Comment 5 Marco Iannaccone 2004-10-21 23:05:00 PDT
> I copied all directory names/path as in your example.
> No problem at all to save page or save image there.

I'll try to do similar tests on different machines...


> You use an antique build (20040614) though.
> Updating to FF1.0PR/FF1.0RC1 may help 

I had this problem on all Firefox and Thunderbird versions.
I'm now using FF 0.10.1 (20041001) and the test posted yesterday was done on
this version!

Comment 6 Marco Iannaccone 2004-10-21 23:16:37 PDT
(In reply to comment #4)
> All your file names/path lengths are valid for XP with NTFS.
> See
>
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/fileio/base/naming_a_file.asp

"C:\Documents and Settings\FeliceMente\Desktop\nuova cartella con nome
lungo\nome lungo per allungare il path\continuiamo ancora con un nome molto
molto lungo\nuova ancora\nuova cartella con nome davvero molto lungo e
esageratamente lungo" is 237 chars long.
This is the pathname I used in my last example.

If you now use, as a filename, the webpage title Mozilla page has (and this will
be the one that will automatically proposed), that's "Mozilla - Home of the
Firefox web browser, Thunderbird and the Mozilla Suite", you arrive to 314
chars, that's far beyond Windows XP and NTFS limit (that's 260)!!!
You all maybe forgot the filename in the example...
Oh... I forgot the extension... (.html). This makes 319 chars...!


> and http://support.microsoft.com/default.aspx?scid=kb;en-us;320081.

This one has nothing to do with this problem.


Comment 7 Marco Iannaccone 2004-10-21 23:20:05 PDT
By the way, I remember I submitted this problems after other people on the forum
confirmed they had the same problem!
Comment 8 Closed Account 2005-03-07 11:54:07 PST
Created attachment 176599 [details]
Test Case, Animated gif step by step

Tested this bug against Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB;
rv:1.7.6) Gecko/20050226 Firefox/1.0.1. Results the same as reported.

NOTE: Attachment an Animated GIF. Apologies to people with older browsers.
Comment 9 Closed Account 2005-03-07 12:01:33 PST
Confirming bug - NEW.
Comment 10 Nickolay_Ponomarev 2005-03-27 03:30:03 PST
The bug is still here, Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b2)
Gecko/20050325 Firefox/1.0+, marking version->Trunk

The key here is to create a path that is quite long (so that the file cannot be
saved), but not too long (so that the error message doesn't appear).
Comment 11 cdellmour 2011-05-17 07:54:24 PDT
Bug is still here 6 years later :-), Mozilla/5.0 (X11; Linux i686; rv:2.0.1) Gecko/20100101 Firefox/4.0.1 on Ubuntu 11.04.

My test case:
Goto: http://scholar.google.at/scholar?q=Perceiving+layout+and+knowing+distances%3A+The+integration%2C+relative&hl=de&btnG=Suche&lr=

Right click on the first pdf "[PDF] von free.fr" and choose save as and then click save and no error message appear, but also no file is downloaded!
Comment 12 cdellmour 2011-05-17 09:34:29 PDT
This bug also appears in Mozilla/5.0 (X11; Linux i686; rv:6.0a1) Gecko/20110517 Firefox/6.0a1

The menu item in the popup menu is called "Save Link As..."

Note You need to log in before you can comment on or make changes to this bug.